# Created by pyp2rpm-1.0.1
%global pypi_name python-subunit

Name:           %{pypi_name}
Version:        0.0.12
Release:        6%{?dist}
Summary:        Python implementation of subunit test streaming protocol

License:        ASL 2.0
URL:            http://launchpad.net/subunit
Source0:        http://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         unbundle-iso8601.patch
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-testtools >= 0.9.30
BuildRequires:  python-iso8601
BuildRequires:  python-extras

Requires:       python-testtools >= 0.9.30
Requires:       python-iso8601
Requires:       python-extras

%description
A streaming protocol for test results


%prep
%setup -q -n %{pypi_name}-%{version}

%patch0 -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove interpreter for non exec scripts
find python/subunit -name \*.py \! -perm /111 -exec \
  sed -i '1{/\/usr\/bin\/.*python/d}' {} +

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Reinstate +x for this script to avoid lint warning
chmod a+x %{buildroot}%{python_sitelib}/subunit/run.py

%check
PYTHONPATH=%{buildroot}%{python_sitelib} \
%{__python} -m testtools.run discover python/subunit/tests
# Don't distribute the tests
rm -fr %{buildroot}%{python_sitelib}/subunit/tests

%files
%doc README NEWS
%{_bindir}/subunit2gtk
%{_bindir}/subunit2junitxml
%{_bindir}/subunit2pyunit
%{_bindir}/subunit-filter
%{_bindir}/subunit-ls
%{_bindir}/subunit-notify
%{_bindir}/subunit-stats
%{_bindir}/subunit-tags
%{_bindir}/tap2subunit
%{_bindir}/subunit-1to2
%{_bindir}/subunit-2to1
%{python_sitelib}/subunit
%{python_sitelib}/python_subunit-%{version}-py?.?.egg-info

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 30 2013 Padraig Brady <P@draigBrady.com> - 0.0.12-5
- Initial package.
